> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/fr/powershell-commands/get-dspamscanresult.md).

# Get-DSPamScanResult

Get-DSPamScanResult récupère le résultat de la tâche d'analyse la plus récente pour une configuration de détection de compte Devolutions Server spécifique.

### Synopsis

Récupérer le résultat de la tâche d'analyse la plus récente associée à une configuration de détection de compte spécifique

### Syntaxe

#### \_\_AllParameterSets

```
Get-DSPamScanResult [-InputObject] <ScanConfigurationDto> [[-Filter] <string>] [-ExcludeManaged]
 [<CommonParameters>]
```

### Description

Récupérer le résultat de la tâche d'analyse la plus récente associée à une configuration de détection de compte spécifique.

### Exemples

#### Exemple 1

```powershell
PS C:\> Get-DSPamScanConfiguration -LiteralName 'ScanA' | Get-DSPamScanResult
```

Obtenir le résultat de l'analyse pour la configuration nommée « ScanA »

#### Exemple 2

```powershell
PS C:\> $providerID = 'the-desired-pam-provider-ID'
        $folderID = 'the-desired-pam-vault-or-folder-ID'
        $configuration = Get-DSPamScanConfiguration -LiteralName 'ScanA';
        $toImport = Get-DSPamScanResult -InputObject $configuration -Filter '@domain.net' -ExcludedManaged;
        $providerResult = Get-DSPamProvider
        $provider = $providerResult.Data | Where -Property ID -eq $providerID
        $importResult = Import-DSPamScanResult -ScanResult $toImport -Provider $provider -FolderID $folderID
```

À partir du résultat de l'analyse PAM « ScanA », importer tous les utilisateurs qui ont « @domain.net » dans leur nom d'utilisateur, nom d'hôte, nom complet ou description dans le dossier PAM spécifié par $folderID.

### Paramètres

#### -ExcludeManaged

Exclure les utilisateurs gérés

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Filter

Le filtre global, identique au filtre de l'interface Web, est conçu pour être appliqué aux champs nom d'utilisateur, nom d'hôte, nom complet et description.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 1
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -InputObject

Objet de configuration de détection de compte PAM obtenu à partir de Get-DSPamScanConfiguration

```yaml
Type: Devolutions.Server.NetworkDiscovery.Dto.ScanConfigurationDto
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Cette applet de commande prend en charge les paramètres communs : -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction et -WarningVariable. Pour plus d'informations, consultez [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Entrées

#### Devolutions.Server.NetworkDiscovery.Dto.ScanConfigurationDto

Objet de configuration de détection de compte PAM obtenu à partir de Get-DSPamScanConfiguration

### Notes

Pour plus d'informations, tapez "Get-Help Get-DSPamScanResult -detailed". Pour des informations techniques, tapez "Get-Help Get-DSPamScanResult -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell/fr/powershell-commands/get-dspamscanresult.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
